summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorEric Blake <ebb9@byu.net>2009-10-26 06:05:44 -0600
committerEric Blake <ebb9@byu.net>2009-10-26 06:05:44 -0600
commitdae24f5ffc4846ce5178b3f765aec9074ce73b08 (patch)
tree34915049bc54fc0f077e8388224d3bee5e250861 /tests
parentc695781753fdb3eceb78afdd947b86501209b2f2 (diff)
downloadcoreutils-dae24f5ffc4846ce5178b3f765aec9074ce73b08.tar.xz
tests: avoid file name not portable to cygwin
* tests/misc/chroot-fail: Use 'no_such', not '...', since cygwin 1.5 silently strips trailing dots. * tests/misc/nice-fail: Likewise. * tests/misc/stdbuf: Likewise. * tests/misc/timeout-parameters: Likewise.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/misc/chroot-fail2
-rwxr-xr-xtests/misc/nice-fail2
-rwxr-xr-xtests/misc/stdbuf2
-rwxr-xr-xtests/misc/timeout-parameters2
4 files changed, 4 insertions, 4 deletions
diff --git a/tests/misc/chroot-fail b/tests/misc/chroot-fail
index 5b5829321..877ad0aec 100755
--- a/tests/misc/chroot-fail
+++ b/tests/misc/chroot-fail
@@ -41,7 +41,7 @@ if chroot / true ; then
test $? = 2 || fail=1
chroot / . # invalid command
test $? = 126 || fail=1
- chroot / ... # no such command
+ chroot / no_such # no such command
test $? = 127 || fail=1
else
test $? = 125 || fail=1
diff --git a/tests/misc/nice-fail b/tests/misc/nice-fail
index da85eb2b7..7a1bbe8ec 100755
--- a/tests/misc/nice-fail
+++ b/tests/misc/nice-fail
@@ -39,7 +39,7 @@ nice sh -c 'exit 2' # exit status propagation
test $? = 2 || fail=2
nice . # invalid command
test $? = 126 || fail=1
-nice ... # no such command
+nice no_such # no such command
test $? = 127 || fail=1
Exit $fail
diff --git a/tests/misc/stdbuf b/tests/misc/stdbuf
index 33bc658ea..90e45d7f0 100755
--- a/tests/misc/stdbuf
+++ b/tests/misc/stdbuf
@@ -56,7 +56,7 @@ test $? = 125 || fail=1
stdbuf -i0 -o0 -e0 true || fail=1 #check all files
stdbuf -o1 . # invalid command
test $? = 126 || fail=1
-stdbuf -o1 ... # no such command
+stdbuf -o1 no_such # no such command
test $? = 127 || fail=1
# Ensure line buffering stdout takes effect
diff --git a/tests/misc/timeout-parameters b/tests/misc/timeout-parameters
index 52d4c8aee..02b63a767 100755
--- a/tests/misc/timeout-parameters
+++ b/tests/misc/timeout-parameters
@@ -57,7 +57,7 @@ timeout 1 .
test $? = 126 || fail=1
# no such command
-timeout 1 ...
+timeout 1 no_such
test $? = 127 || fail=1
Exit $fail